using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ObjectModel.Game
{
    /// <summary>
    /// 添加用户资产信息包
    /// </summary>
    public class AddZiChanPack
    {
        public List<AddZiChanInfo> datas;

        public AddZiChanPack()
        {
            datas = new List<AddZiChanInfo>();
        }
    }

    public class AddZiChanInfo
    {
        /// <summary>
        /// 玩家Id
        /// </summary>
        public int UserId;

        /// <summary>
        /// 类型 1游戏币(金币) 2保险柜（*1万） 3参赛卷 4复活卡 5门票 6礼券 7金砖 8道具
        /// </summary>
        public int lx;

        /// <summary>
        /// 数值
        /// </summary>
        public long Num;

        public AddZiChanInfo() { }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="userid">玩家Id</param>
        /// <param name="lx">类型 1游戏币(金币) 2保险柜（*1万） 3参赛卷 4复活卡 5门票 6礼券 7金砖 8道具</param>
        /// <param name="num">数值</param>
        public AddZiChanInfo(int userid, int lx, long num)
        {
            this.UserId = userid;
            this.lx = lx;
            this.Num = num;
        }

        public override string ToString()
        {
            return $"userid:{UserId} 类型:{Getlx()} num:{Num}";
        }

        public string Getlx()
        {
            switch (lx)
            {
                case 1:
                    return "游戏币";
                case 2:
                    return "保险柜";
                case 3:
                    return "参赛卷";
                case 4:
                    return "复活卡";
                case 5:
                    return "门票";
                case 6:
                    return "礼券";
                case 7:
                    return "金砖";
                case 8:
                    return "道具";
            }
            return "";
        }
    }
}
